Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Remote_RLock Class Reference

Proxy for acquiring, renewing, and releasing a distributed readers lock. More...

`#include <Remote_Tokens.h>`

Inheritance diagram for ACE_Remote_RLock:

[legend]
Collaboration diagram for ACE_Remote_RLock:

[legend]
List of all members.

## Public Methods
| ACE_Remote_RLock (void)
| ACE_Remote_RLock (const ACE_TCHAR *token_name, int ignore_deadlock=0, int debug=0)
| ACE_Remote_RLock (const ACE_Remote_RLock &mutex)
void | dump (void) const
| Dump the state of the class. More...
virtual int | type (void) const
| Returns ACE_RW_Token::RLOCK;. More...
virtual ACE_Token_Proxy * | clone (void) const
| Return deep copy. More...
## Protected Methods
virtual ACE_Tokens * | create_token (const ACE_TCHAR *name)
| Make the correct type of ACE_Tokens. This is called by the Token Manager. More...

## Detailed Description

Proxy for acquiring, renewing, and releasing a distributed readers lock.

This is the remote equivalent to ACE_Local_RLock. Multiple readers can hold the lock simultaneously when no writers have the lock. Alternatively, when a writer holds the lock, no other participants (readers or writers) may hold the lock. ACE_Remote_RLock depends on the ACE Token Server for its distributed synchronization semantics.

## Constructor & Destructor Documentation

ACE_Remote_RLock::ACE_Remote_RLock | ( | void |  | ) |

ACE_Remote_RLock::ACE_Remote_RLock | ( | const ACE_TCHAR * | token_name,
|  | int | ignore_deadlock = 0,
|  | int | debug = 0
| ) |

ACE_Remote_RLock::ACE_Remote_RLock | ( | const ACE_Remote_RLock & | mutex | ) |

## Member Function Documentation

virtual ACE_Token_Proxy* ACE_Remote_RLock::clone | ( | void |  | ) | const`[virtual]`

| Return deep copy. Reimplemented from ACE_Token_Proxy.

virtual ACE_Tokens* ACE_Remote_RLock::create_token | ( | const ACE_TCHAR * | name | ) | `[protected, virtual]`

| Make the correct type of ACE_Tokens. This is called by the Token Manager. Reimplemented from ACE_Token_Proxy.

void ACE_Remote_RLock::dump | ( | void |  | ) | const

| Dump the state of the class. Reimplemented from ACE_Remote_Token_Proxy.

virtual int ACE_Remote_RLock::type | ( | void |  | ) | const`[virtual]`

| Returns ACE_RW_Token::RLOCK;. Reimplemented from ACE_Token_Proxy.

The documentation for this class was generated from the following files:

- Remote_Tokens.h
- Remote_Tokens.cpp